import { EventEmitter, OnInit } from '@angular/core';
import { FriendRequestPayload } from '../inspire-library.interface';
import { FormBuilder, FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class AddAsFriendComponent implements OnInit {
    private fb;
    constructor(fb: FormBuilder);
    friendAvatar: string;
    friendName: string;
    userName: string;
    friendLocation: string;
    sendFriendRequest: EventEmitter<FriendRequestPayload>;
    cancelFriendRequest: EventEmitter<void>;
    canClickOutside: boolean;
    defaultMessage: string;
    addFriendForm: FormGroup;
    getAddFriendDefaultMessage: (friendName: string, userName: string) => string;
    ngOnInit(): void;
    componentInit(): void;
    getDefaultMessage(): void;
    initForm(): void;
    onSubmit(): void;
    onCancel(): void;
    resetForm(): void;
    static ɵfac: i0.ɵɵFactoryDef<AddAsFriendComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AddAsFriendComponent, "ins-add-as-friend", never, { "friendAvatar": "friendAvatar"; "friendName": "friendName"; "userName": "userName"; "friendLocation": "friendLocation"; }, { "sendFriendRequest": "sendFriendRequest"; "cancelFriendRequest": "cancelFriendRequest"; }, never, never>;
}
