import { OnInit, EventEmitter } from '@angular/core';
import { WindowService } from '../window.service';
import * as i0 from "@angular/core";
export declare class ConditionCardComponent implements OnInit {
    private windowService;
    addInterest: EventEmitter<any>;
    removeInterest: EventEmitter<any>;
    conditionId: string;
    conditionName: string;
    conditionNameId: string;
    conditionDescription: string;
    conditionCommunities: string[];
    loginVal: string;
    layout: string;
    envUrl: string;
    conditionUrl: string;
    isAdded: boolean;
    view: string;
    constructor(windowService: WindowService);
    ngOnInit(): void;
    addClick(): void;
    removeClick(): void;
    static ɵfac: i0.ɵɵFactoryDef<ConditionCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<ConditionCardComponent, "ins-condition-card", never, { "conditionId": "conditionId"; "conditionName": "conditionName"; "conditionNameId": "conditionNameId"; "conditionDescription": "conditionDescription"; "conditionCommunities": "conditionCommunities"; "loginVal": "loginVal"; "layout": "layout"; "envUrl": "envUrl"; "conditionUrl": "conditionUrl"; "isAdded": "isAdded"; "view": "view"; }, { "addInterest": "addInterest"; "removeInterest": "removeInterest"; }, never, never>;
}
