import { PrivacyOption, SlugConfig } from './inspire-library.interface';
export declare const JOURNAL_POST_PRIVACY_OPTIONS: PrivacyOption[];
export declare const JOURNAL_POST_PRIVACY_STYLE_CLASS: {
    public: string;
    members: string;
    friends: string;
    noOne: string;
};
export declare const MEDIA_PRIVACY_OPTIONS: PrivacyOption[];
export declare const MEDIA_PRIVACY_STYLE_CLASS: {
    public: string;
    members: string;
    friends: string;
    private: string;
};
export declare const JOURNAL_POST_TITLE = "Write a journal post";
export declare const MAX_JOURNAL_POST_IMAGES = 4;
export declare const MAX_JOURNAL_POST_VIDEO = 1;
export declare const IS_LOGGED_IN_KEY = "isLoggedIn";
export declare const ADD_MEDIA_LABEL: {
    image: string;
    video: string;
    file: string;
};
export declare const NEXT_BUTTON_TEXT_REPLY = "Add Photos";
export declare const ATTACH_TO_POST_BUTTON_TEXT_REPLY = "Add Photos";
export declare const JOIN_BUTTON_TEXTS: {
    '000': string;
    '001': string;
    '010': string;
    '011': string;
    100: string;
    101: string;
    110: string;
    111: string;
};
export declare const SLUG_DEFAULT_CONFIG: SlugConfig;
export declare const FACEBOOK_BASE_URL = "https://www.facebook.com/";
export declare const TWITTER_BASE_URL = "https://www.twitter.com/";
export declare const DISCLAIMER_TEXT = "<strong>Do not use Inspire as a substitute for, or to give, medical advice.</strong>\nInspire is not a substitute for professional medical advice or treatment. Always consult your physician and do not\nrely on the information in this site when making decisions about your health. The content in Inspire is for\ninformation only and is not reviewed by medical professionals. Similarly, do not use Inspire to give medical\nadvice.\nYou may share information about your experiences, but do not play the role of health professional.";
export declare const INSPIRE_BLUE_COLOR = "#061A73";
export declare const GREY_COLOR = "#C6CBC9";
export declare const CHECK_COLOR_IS_WHITE: (color: string) => boolean;
export declare const EMPTY_COMMUNITY_LIST_TEXT = "You haven't joined any communities yet, but you can still post to your journal.";
export declare const MAX_COMMUNITY_TO_SHOW = 3;
export declare const MIN_COMMUNITY_TO_SHOW_FILTER = 5;
export declare const SEARCH_IN_UNAV: (envUrl: string, groupId: string, query: string, timeEpoch: number) => void;
export declare const GET_ADD_FRIEND_DEFAULT_MESSAGE: (friendName: string, userName: string) => string;
