export declare enum Reaction {
    thanks = "thanks",
    support = "support",
    useful = "useful"
}
export declare enum PostType {
    Journal = "jrnl",
    Discussion = "disc"
}
export declare enum InterestType {
    Condition = 1,
    Treatment = 2
}
export declare enum LoaderType {
    normal = "normal",
    post = "post",
    widget = "widget",
    widgetBoard = "widgetBoard",
    fullScreen = "fullScreen"
}
export declare enum AddMediaOptions {
    normal = "normal",
    mediaTypes = "mediaTypes",
    mediaOptions = "mediaOptions",
    fromInspireLibrary = "inspireLibrary",
    takePhoto = "takePhoto",
    fromPhotoLibrary = "photoLibrary",
    addPhotos = "addPhotos"
}
export declare enum CallingComponent {
    NotSpecified = 0,
    MemberDashboard = 1,
    Search = 2,
    Discussion = 3,
    Community = 4
}
export declare enum FriendLinkState {
    pending = "pending",
    friends = "friends",
    withdrawn = "withdrawn",
    rejected = "rejected"
}
export declare enum FileType {
    image = "image",
    video = "video",
    file = "file"
}
export declare enum CommentPolicy {
    Open = 1,
    Moderated = 2,
    Closed = 3
}
export declare enum ImageMirrorOption {
    always = "always",
    never = "never"
}
export declare enum PostPrivacy {
    public = "public",
    members = "members",
    friends = "friends",
    noOne = "noOne"
}
export declare enum AddMediaPrivacy {
    public = "public",
    members = "members",
    friends = "friends",
    private = "private"
}
export declare enum AboutSection {
    Support = "support",
    AboutCommunity = "about_community",
    CommunityLeaders = "community_leaders",
    Contact = "contact"
}
export declare enum HttpProtocol {
    HTTP = "http",
    HTTPS = "https"
}
export declare enum RTCState {
    inactive = "inactive",
    recording = "recording",
    stopped = "stopped",
    paused = "paused",
    destroyed = "destroyed"
}
