import { OnChanges, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare class PaginationBarComponent implements OnChanges {
    private router;
    private activeRoute;
    totalPages: number;
    maxBubbleSize: number;
    mobileBubbleSize?: number;
    currentPage?: any;
    onPaginate: EventEmitter<any>;
    halfBubble: number;
    currentBubbleSize: number;
    pageNumbers: number[];
    constructor(router: Router, activeRoute: ActivatedRoute);
    ngOnChanges(): void;
    private initializeView;
    private generatePageNumbers;
    onClick(event: any): void;
    onResize(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<PaginationBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<PaginationBarComponent, "ins-pagination-bar", never, { "totalPages": "totalPages"; "maxBubbleSize": "maxBubbleSize"; "mobileBubbleSize": "mobileBubbleSize"; "currentPage": "currentPage"; }, { "onPaginate": "onPaginate"; }, never, never>;
}
