import { OnInit, EventEmitter } from '@angular/core';
import { MemberCommunity, FriendLink } from '../inspire-library.interface';
import { FriendLinkState } from '../inspire-library.enum';
import * as i0 from "@angular/core";
export declare class PostComponent implements OnInit {
    followPost: EventEmitter<any>;
    envUrl: string;
    postUri: string;
    postTitle: string;
    postAvatar: string;
    postAuthorName: string;
    postDate: number;
    postReplyCount: number;
    postSnippet: string;
    postSnippetStrippedHTML: boolean;
    postTopic: string;
    groupID: string;
    topicNameID: string;
    isFollowed: boolean;
    showMenu: boolean;
    commentReplyTime: number;
    postAuthorJoinDate: Date;
    isLoggedIn: boolean;
    groups: MemberCommunity[];
    baseUrl: string;
    friendlink: FriendLink;
    isMe: boolean;
    imageURL: string;
    isSensitive: boolean;
    isSensitiveOnLoad: boolean;
    hidePost: EventEmitter<any>;
    addFriend: EventEmitter<void>;
    toggleMoreCommunityList: boolean;
    friendLinkState: typeof FriendLinkState;
    constructor();
    ngOnInit(): void;
    setTopicNameId(): void;
    followPostClick(): void;
    onHidePost(): void;
    onToggleMoreCommunityList(): void;
    onCloseMoreCommunityList(): void;
    onAddFriend(): void;
    onClickToggleSensitive(): void;
    static ɵfac: i0.ɵɵFactoryDef<PostComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<PostComponent, "ins-post", never, { "envUrl": "envUrl"; "postUri": "postUri"; "postTitle": "postTitle"; "postAvatar": "postAvatar"; "postAuthorName": "postAuthorName"; "postDate": "postDate"; "postReplyCount": "postReplyCount"; "postSnippet": "postSnippet"; "postSnippetStrippedHTML": "postSnippetStrippedHTML"; "postTopic": "postTopic"; "groupID": "groupID"; "topicNameID": "topicNameID"; "isFollowed": "isFollowed"; "showMenu": "showMenu"; "commentReplyTime": "commentReplyTime"; "postAuthorJoinDate": "postAuthorJoinDate"; "isLoggedIn": "isLoggedIn"; "groups": "groups"; "baseUrl": "baseUrl"; "friendlink": "friendlink"; "isMe": "isMe"; "imageURL": "imageURL"; "isSensitive": "isSensitive"; }, { "followPost": "followPost"; "hidePost": "hidePost"; "addFriend": "addFriend"; }, never, ["ins-add-reactions"]>;
}
