import { EventEmitter, OnInit } from '@angular/core';
import { CommunityMember } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class UsersProfileListComponent implements OnInit {
    members: CommunityMember[];
    totalMembers: number;
    toggleBlockMember: EventEmitter<CommunityMember>;
    toggleFollowMember: EventEmitter<CommunityMember>;
    cancelFriendRequest: EventEmitter<CommunityMember>;
    constructor();
    ngOnInit(): void;
    onToggleBlockMember(member: CommunityMember): void;
    onToggleFollowMember(member: CommunityMember): void;
    onCancelFriendRequest(member: CommunityMember): void;
    static ɵfac: i0.ɵɵFactoryDef<UsersProfileListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<UsersProfileListComponent, "ins-users-profile-list", never, { "members": "members"; "totalMembers": "totalMembers"; }, { "toggleBlockMember": "toggleBlockMember"; "toggleFollowMember": "toggleFollowMember"; "cancelFriendRequest": "cancelFriendRequest"; }, never, never>;
}
